unit DemoForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MGDirectDll_Int, MGDirectDll_Client, MGDirectDll_App, StdCtrls;

type
  TForm1 = class(TForm)
    MGProcClient1: TMGProcClient;
    MGAppService1: TMGAppService;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Open: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure MGProcClient1NotifyEnabled(sender: TObject;
      IsEnabled: Boolean);
    procedure MGProcClient1Notification(sender: TObject; Event: String;
      Value: Variant);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 if open.execute then MGAppService1.RegisterDll(open.filename);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 MGProcClient1.Execute([nil]);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 if MGAppService1.DllList.Count>0 then
 MGAppService1.UnRegisterDll(MGAppService1.DllList.Dlls[0].DllService);
end;

procedure TForm1.MGProcClient1NotifyEnabled(sender: TObject;
  IsEnabled: Boolean);
begin
 Showmessage('Enabled := ' +inttostr(byte(IsEnabled)));
end;

procedure TForm1.MGProcClient1Notification(sender: TObject; Event: String;
  Value: Variant);
begin
 Showmessage('Event : '+event);
end;

procedure TForm1.FormCreate(Sender: TObject);
var d : TDateTime;
    i : longint absolute d;
begin
 d :=EncodeDate(1999,5,15);
 caption := floattostr(d);
end;

end.
